Ask Your Question
6

collada-dom2.4-sp-dev causes dist-upgrade to fail on ubuntu 14.04

asked 2015-12-21 09:12:28 -0600

pknettle gravatar image

updated 2015-12-21 09:53:11 -0600

gvdhoorn gravatar image

We need to do a dist-upgrade this morning and ran into a problem with the machines that have ros installed on them. I had to comment out the ros apt file and remove several ros packages to get ubuntu updates to install. After that I went back and tried to reinstall ros-indigo-desktop-full. The new collada-dom2.4-sp-dev gives the following error:

The following NEW packages will be installed:
  collada-dom-dev collada-dom2.4-sp-dev ros-indigo-collada-parser
  ros-indigo-collada-urdf ros-indigo-desktop ros-indigo-desktop-full
  ros-indigo-robot ros-indigo-robot-model ros-indigo-simulators


Unpacking collada-dom2.4-sp-dev (2.4.4.1-ubuntu1~trusty1) ...  dpkg:
error processing archive
/var/cache/apt/archives/collada-dom2.4-sp-dev_2.4.4.1-ubuntu1~trusty1_amd64.deb
(--unpack): trying to overwrite
'/usr/lib/cmake/collada_dom-2.4/collada_dom-config.cmake', which is also
in package collada-dom2.4-dp-dev 2.4.4.0-ubuntu1~trusty1 dpkg-deb:
error: subprocess paste was killed by signal (Broken pipe)
edit retag flag offensive close merge delete

Comments

Are you using the shadow-fixed repository?

gvdhoorn gravatar imagegvdhoorn ( 2015-12-21 10:38:47 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
10

answered 2015-12-21 09:58:18 -0600

Problems of this kind are common with the ROS repository. It is so easy to specify a conflict in the .deb config file! Try:

 sudo dpkg --purge --force-all collada-dom2.4-dp-dev

and than you can

 sudo apt-get install -f
edit flag offensive delete link more

Comments

2

It's also easy to declare this in your package.xml using the conflict and replace tags. I'd report this to the package maintainer, as it's clearly unintended.

gvdhoorn gravatar imagegvdhoorn ( 2015-12-21 10:16:13 -0600 )edit

I tried that right after I posted the question and it worked. Thanks for the reply.

pknettle gravatar imagepknettle ( 2015-12-21 10:19:52 -0600 )edit
2

I added a comment to robot_model/issues/118.

gvdhoorn gravatar imagegvdhoorn ( 2015-12-21 12:31:33 -0600 )edit
1

And tracked at collada-dom/issues/20. Should already be fixed in-source, not sure when new pkgs will be imported.

gvdhoorn gravatar imagegvdhoorn ( 2015-12-22 02:49:04 -0600 )edit

The changes are still not in the repository. But thank you very much for reporting, gvdhoorn.

MichaelKorn gravatar imageMichaelKorn ( 2015-12-23 07:29:15 -0600 )edit

Syncing will take a while. I wouldn't have expected them to be available already.

gvdhoorn gravatar imagegvdhoorn ( 2015-12-23 07:45:07 -0600 )edit
3

answered 2015-12-30 19:26:46 -0600

Kei Okada gravatar image

updated 2015-12-31 19:44:24 -0600

130s gravatar image

This has been solved as of 31, Dec, 2015, with 2.4.4.4 of collada-dom-dev. Sorry for trouble.

edit flag offensive delete link more

Comments

1
Kei Okada gravatar imageKei Okada ( 2015-12-30 19:28:00 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2015-12-21 09:12:28 -0600

Seen: 1,575 times

Last updated: Dec 31 '15